Bug 1123057 - warning: file /usr/bin/gofmt: remove failed: No such file or directory while removing golang packages
Summary: warning: file /usr/bin/gofmt: remove failed: No such file or directory while ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 18:12 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2015-06-29 21:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:44:20 UTC


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2014-07-24 18:12:27 UTC
Description of problem:

There are two warnings while removing golang-pkg-bin-linux-amd64 package:
warning: file /usr/bin/gofmt: remove failed: No such file or directory
warning: file /usr/bin/go: remove failed: No such file or directory

Version-Release number of selected component (if applicable):
1.2.2-7.fc20

How reproducible:
Always

Steps to Reproduce:
1. yum install golang
2. yum remove golang\*

Actual Results:
# yum remove golang\*
Loaded plugins: changelog, langpacks
Resolving Dependencies
--> Running transaction check
---> Package golang.x86_64 0:1.2.2-7.fc20 will be erased
---> Package golang-pkg-bin-linux-amd64.x86_64 0:1.2.2-7.fc20 will be erased
---> Package golang-pkg-linux-amd64.noarch 0:1.2.2-7.fc20 will be erased
---> Package golang-src.noarch 0:1.2.2-7.fc20 will be erased
--> Finished Dependency Resolution
[...]
Running transaction (shutdown inhibited)
  Erasing    : golang-pkg-linux-amd64-1.2.2-7.fc20.noarch                   1/4 
  Erasing    : golang-pkg-bin-linux-amd64-1.2.2-7.fc20.x86_64               2/4 
warning: file /usr/bin/gofmt: remove failed: No such file or directory
warning: file /usr/bin/go: remove failed: No such file or directory
  Erasing    : golang-1.2.2-7.fc20.x86_64                                   3/4 
  Erasing    : golang-src-1.2.2-7.fc20.noarch                               4/4 
  Verifying  : golang-src-1.2.2-7.fc20.noarch                               1/4 
  Verifying  : golang-1.2.2-7.fc20.x86_64                                   2/4 
  Verifying  : golang-pkg-bin-linux-amd64-1.2.2-7.fc20.x86_64               3/4 
  Verifying  : golang-pkg-linux-amd64-1.2.2-7.fc20.noarch                   4/4 

Removed:
  golang.x86_64 0:1.2.2-7.fc20
  golang-pkg-bin-linux-amd64.x86_64 0:1.2.2-7.fc20
  golang-pkg-linux-amd64.noarch 0:1.2.2-7.fc20    
  golang-src.noarch 0:1.2.2-7.fc20    

Expected Results:
no warning about missing files

Additional Information:
It looks like the links maintained by update-alternatives are not marked as %ghost in the spec file:

[...]
ifarch x86_64
%files pkg-bin-linux-amd64
%{goroot}/bin/linux_amd64/
# binary executables
%{_bindir}/go
%{_bindir}/gofmt
[...]

This is required by the Alternatives guideline: https://fedoraproject.org/wiki/Packaging:Alternatives .

Comment 1 Vincent Batts 2014-10-24 19:01:27 UTC
is this still an issue as i have updated the %ghost ownership of that file in recent updates.

Comment 2 Vincent Batts 2014-10-24 19:01:27 UTC
is this still an issue as i have updated the %ghost ownership of that file in recent updates.

Comment 3 Fedora End Of Life 2015-05-29 12:27:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:44:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.